commit b99118d46f4c35c355f99983809cfccc8cd67d7f
Author: Alexandre Oliva <oliva@adacore.com>
Date:   Thu May 25 10:57:11 2023

    [libstdc++] [testsuite] xfail to_chars/long_double on x86-vxworks
    
    Just as on aarch64, x86's wider long double experiences loss of
    precision with from_chars implemented in terms of double.  Expect the
    execution fail.
    
    
    for  libstdc++-v3/ChangeLog
    
            * testsuite/20_util/to_chars/long_double.cc: Expect execution
            fail on x86-vxworks.
    
    (cherry picked from commit 7daa166fe89fca4ff1baa063c00a5a690f7e462f)

diff --git a/libstdc++-v3/testsuite/20_util/to_chars/long_double.cc b/libstdc++-v3/testsuite/20_util/to_chars/long_double.cc
index 52e382e76a1..01bfec79bb1 100644
--- a/libstdc++-v3/testsuite/20_util/to_chars/long_double.cc
+++ b/libstdc++-v3/testsuite/20_util/to_chars/long_double.cc
@@ -36,7 +36,7 @@
 
 // On systems that use double-precision from_chars for long double,
 // this is expected to fail.
-// { dg-xfail-run-if "from_chars limited to double-precision" { aarch64-*-vxworks* } }
+// { dg-xfail-run-if "from_chars limited to double-precision" { aarch64-*-vxworks* i*86-*-vxworks* } }
 
 // { dg-require-effective-target ieee_floats }
 // { dg-require-effective-target size32plus }

